Adjust an account's credit balance (super admin only)
curl --request POST \
--url https://pria.praxislxp.com/api/admin/account/{id}/credits \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"credits": 500,
"note": "INV-2026-0412 annual renewal"
}
'import requests
url = "https://pria.praxislxp.com/api/admin/account/{id}/credits"
payload = {
"credits": 500,
"note": "INV-2026-0412 annual renewal"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({credits: 500, note: 'INV-2026-0412 annual renewal'})
};
fetch('https://pria.praxislxp.com/api/admin/account/{id}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"account": {
"id": "<string>",
"credits": 123
},
"transfer": {
"_id": "<string>",
"institution": "<string>",
"account": "<string>",
"user": "<string>",
"credits": 123,
"status": "active",
"created": "2023-11-07T05:31:56Z",
"transferMode": 1,
"note": "<string>"
}
},
"message": "Account credits adjusted!"
}Admin Accounts
Adjust an account's credit balance (super admin only)
Adds or subtracts credits from the given account. Records an AccountTransfer with a mandatory note for audit. Reserved for super administrators - regular admins and account managers receive 403.
POST
/
api
/
admin
/
account
/
{id}
/
credits
Adjust an account's credit balance (super admin only)
Authorizations
JWT token passed in x-access-token header
Path Parameters
Account ID
Body
application/json
Was this page helpful?
⌘I